> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onera.app/llms.txt
> Use this file to discover all available pages before exploring further.

# India News



## OpenAPI

````yaml /openapi.json get /india/news
openapi: 3.1.0
info:
  title: Corpus API
  description: >-
    Point-in-time financial and governed-document data for the US, India, and
    China.
  version: '2026-07-20'
servers:
  - url: https://corpus-api.onera.app
    description: Production
security: []
paths:
  /india/news:
    get:
      tags:
        - India · News
      summary: India News
      operationId: india_news_india_news_get
      parameters:
        - name: category
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Category
        - name: as_of
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: As Of
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            title: Offset
            default: 0
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NewsResponse'
        '400':
          description: Invalid parameter combination
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Insufficient jurisdiction or scope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Unknown resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Request schema validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Source content is unavailable or still processing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - X-API-KEY: []
components:
  schemas:
    NewsResponse:
      properties:
        news:
          items:
            $ref: '#/components/schemas/NewsItem'
          type: array
          title: News
        meta:
          $ref: '#/components/schemas/Meta'
      type: object
      required:
        - news
        - meta
      title: NewsResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
        message:
          type: string
          title: Message
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      type: object
      required:
        - error
        - message
      title: ErrorResponse
    NewsItem:
      properties:
        source_id:
          type: string
          title: Source Id
        title:
          type: string
          title: Title
        url:
          type: string
          title: Url
        published_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Published At
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
      type: object
      required:
        - source_id
        - title
        - url
      title: NewsItem
    Meta:
      properties:
        jurisdiction:
          anyOf:
            - type: string
              enum:
                - US
                - IN
                - CN
            - type: 'null'
          title: Jurisdiction
        count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Count
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Limit
        offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Offset
        next_offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Offset
        as_of:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: As Of
        normalization_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Normalization Version
        provenance:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Provenance
      type: object
      title: Meta
  securitySchemes:
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Provisioned Corpus API key with the required jurisdiction and operation
        scopes.

````